=== debian/changelog ===
vmtk (0.9.0-6ubuntu1) precise; urgency=low

  * Build against vtk5.8

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 26 Dec 2011 17:18:39 +0100

vmtk (0.9.0-6) unstable; urgency=low

  * Add patch to fix problem with Python.h not found (closes: 650586).

 -- Johannes Ring <johannr@simula.no>  Mon, 19 Dec 2011 11:18:55 +0100

vmtk (0.9.0-5) unstable; urgency=low

  * debian/rules: Enable contrib scripts.
  * Add more lintian overrides.

 -- Johannes Ring <johannr@simula.no>  Mon, 05 Sep 2011 13:34:30 +0200

vmtk (0.9.0-4) unstable; urgency=low

  * Make package autobuildable:
    - Set "XS-Autobuild: yes" in debian/control.
    - Add note in debian/copyright.
  * debian/control:
    - Replace libjpeg62-dev with libjpeg-dev in Build-Depends.
    - Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 19 Jul 2011 15:27:19 +0200

vmtk (0.9.0-3) unstable; urgency=low

  * Update/rebuild to use vtk 5.6 (closes: 621070):
    - Set VTK_DIR to /usr/lib/vtk-5.6 in DEB_CMAKE_EXTRA_FLAGS in
      debian/rules.
  * debian/control:
    - Remove old Conflicts, Replaces, and Provides fields for all binary
      packages.
    - Bump Standards-Version to 3.9.1 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 06 Apr 2011 20:31:24 +0200

vmtk (0.9.0-2) unstable; urgency=low

  * debian/rules:
    - Enable building of contrib classes. Update lintian-overrides
      accordingly.
    - Minor fix for Python 2.7 for binary package python-vmtk.
  * debian/control: Set XS-Python-Version to ">= 2.3" (closes: #606857).
  * debian/copyright: Remove reference to deprecated BSD license file
    and add full license text.

 -- Johannes Ring <johannr@simula.no>  Mon, 14 Feb 2011 13:54:35 +0100

vmtk (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump XS-Python-Version field to 2.6.
  * debian/rules: Use uscan in get-orig-source target.

 -- Johannes Ring <johannr@simula.no>  Fri, 06 Aug 2010 14:34:09 +0200
