=== debian/control ===
Source: vmtk
Homepage: http://www.vmtk.org
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake,
 python-support (>= 0.6.4), python-dev, libvtk5-dev, python-vtk,
 libinsighttoolkit3-dev | libinsighttoolkit-dev, libjpeg-dev, libtiff4-dev,
 libfreetype6-dev, libxext-dev, libpng12-dev, libexpat1-dev, uuid-dev,
 libgdcm2-dev, libopenjpeg-dev, libssl-dev
XS-Python-Version: >= 2.3
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/vmtk/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/vmtk/trunk/
XS-Autobuild: yes

Package: libvmtk0.9
Section: non-free/libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libvmtk-dev
Description: runtime libraries for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains the shared runtime libraries.

Package: python-vmtk
Section: non-free/python
Architecture: any
Depends: libvmtk0.9 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package provides the Python interface for vmtk.

Package: libvmtk-dev
Section: non-free/libdevel
Architecture: any
Depends: libvmtk0.9 (= ${binary:Version}), ${misc:Depends}
Description: shared links and header files for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains header files and shared library links.

Package: vmtk
Architecture: all
Depends: python, python-tk, python-vmtk (>= ${source:Version}), ${misc:Depends}
Description: the Vascular Modeling Toolkit
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
